Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.probdist
Class AndersonDarlingDistQuick

    java.lang.Object
      umontreal.iro.lecuyer.probdist.ContinuousDistribution
          umontreal.iro.lecuyer.probdist.AndersonDarlingDist
              umontreal.iro.lecuyer.probdist.AndersonDarlingDistQuick

All Implemented Interfaces:
  Distribution

    public class AndersonDarlingDistQuick

extends AndersonDarlingDist

Extends the class `AndersonDarlingDist` for the distribution (see). This class implements a faster version than class `AndersonDarlingDist`.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`decPrec`

Constructor Summary
`AndersonDarlingDistQuick(int n)` Constructs an distribution for a sample of size n.

Method Summary
`double` | `barF(double x)` Returns the complementary distribution function.
`static double` | `barF(int n, double x)` Computes the complementary distribution function bar(F)n(x) with parameter n.
`double` | `cdf(double x)` Returns the distribution function F(x).
`static double` | `cdf(int n, double x)` Computes the distribution function Fn(x) with parameter n.
`double` | `density(double x)` Returns f (x), the density evaluated at x.
`static double` | `density(int n, double x)` Computes the density of the distribution with parameter n.
`double` | `inverseF(double u)` Computes and returns the inverse distribution function x = F-1(u), by calling the method `inverseBrent`.
`static double` | `inverseF(int n, double u)` Computes the inverse x = Fn-1(u) of the distribution with parameter n.
`String` | `toString()`

Methods inherited from class umontreal.iro.lecuyer.probdist.AndersonDarlingDist
`getN, getParams, setN`

Methods inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`getMean, getStandardDeviation, getVariance, inverseBisection, inverseBrent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AndersonDarlingDistQuick

    public AndersonDarlingDistQuick(int n)

  Constructs an distribution for a sample of size n.

Method Detail

### density

    public double density(double x)

  Description copied from class: `ContinuousDistribution`
  Returns f (x), the density evaluated at x.

  Overrides:
    `density` in class `AndersonDarlingDist`
  Parameters:
    `x` - value at which the density is evaluated
  Returns:
    density function evaluated at `x`

### cdf

    public double cdf(double x)

  Description copied from interface: `Distribution`
  Returns the distribution function F(x).

  Specified by:
    `cdf` in interface `Distribution`
  Overrides:
    `cdf` in class `AndersonDarlingDist`
  Parameters:
    `x` - value at which the distribution function is evaluated
  Returns:
    distribution function evaluated at `x`

### barF

    public double barF(double x)

  Description copied from class: `ContinuousDistribution`
  Returns the complementary distribution function. The default implementation computes bar(F)(x) = 1 - F(x), which is not accurate when F(x) -> 1.

  Specified by:
    `barF` in interface `Distribution`
  Overrides:
    `barF` in class `AndersonDarlingDist`
  Parameters:
    `x` - value at which the complementary distribution function is evaluated
  Returns:
    complementary distribution function evaluated at `x`

### inverseF

    public double inverseF(double u)

  Description copied from class: `ContinuousDistribution`
  Computes and returns the inverse distribution function x = F-1(u), by calling the method `inverseBrent`. Restrictions: u∈[0, 1].

  Specified by:
    `inverseF` in interface `Distribution`
  Overrides:
    `inverseF` in class `AndersonDarlingDist`
  Parameters:
    `u` - value at which the inverse distribution function is evaluated
  Returns:
    the inverse distribution function evaluated at `u`

### density

    public static double density(int n,
                                 double x)

  Computes the density of the distribution with parameter n.

### cdf

    public static double cdf(int n,
                             double x)

  Computes the distribution function Fn(x) with parameter n. The asymptotic distribution F∞(x) = limn -> ∞Fn(x) was first computed by numerical integration. Then a linear correction O(1/n) obtained by simulation was added. The absolute error on Fn(x) is estimated to be less than 0.001 for n > 6, except far in the tails. For n = 2, 3, 4, 6, it is estimated to be less than 0.04, 0.01, 0.005, 0.002, respectively. For n = 1, the method returns the exact value F1(x) = (1 - 4e^-x-1)1/2, for x >= ln(4) - 1.

### barF

    public static double barF(int n,
                              double x)

  Computes the complementary distribution function bar(F)n(x) with parameter n.

### inverseF

    public static double inverseF(int n,
                                  double u)

  Computes the inverse x = Fn-1(u) of the distribution with parameter n.

### toString

    public String toString()

  Overrides:
    `toString` in class `AndersonDarlingDist`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.